Subject: Re: bug#23457: 24.5; interactive use of next-line and previous-line (holding down C-n or C-p) lag in a buffer with all spaces and newlines

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 May 2016 19:01:28 +0300

> From: [email-masked]
> Date: Thu, 05 May 2016 02:01:54 -0700
> 
> This is pretty minor, but it surprised me. When a buffer is filled with
> spaces going all the way to the last column without overwrapping. If one
> tries to navigate by lines using C-n or C-p and holding them down, there
> is noticable lag.
> Recipe:
> 1. Open emacs         : Emacs -Q
> 2. Open a blank buffer: C-x b test-2
> 3. Fill the buffer up with spaces until it would force a linewrap, then
>    use C-j to enter a newline. C-u 115 <space>
>                                C-j
> 4. The buffer should appear blank unless you use whitespace mode, now try
>    holding down C-n or C-p. Emacs will lag.
> 
> I also tested this in a tty emacs session on linux over ssh, and it
> seemed the lag was also aparent over there.
> 
> The lag lasted at most around 5 seconds.

I cannot reproduce this.  I don't see any lags with this recipe.

>  My window-body-width is 115 and window-body-height is 60.

But that's not what you get with "emacs -Q", right?  So maybe the
problem only happens when you don't use -Q?

Also, is it possible that you have some optional display features
enabled, like ClearType?

Finally, maybe you could try a different build, preferably of the
latest pretest of Emacs 25.1, and see if you have the same problem
there.

Thanks.